org.jboss.resteasy.client

## Class ClientResponseFailure

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.resteasy.client.ClientResponseFailure

- All Implemented Interfaces:
    Serializable

  Deprecated.

      @Deprecated
      public class ClientResponseFailure
      extends RuntimeException

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientResponseFailure(ClientResponse response)` Deprecated.
    `ClientResponseFailure(String s, ClientResponse response)` Deprecated.
    `ClientResponseFailure(String s, Throwable throwable, ClientResponse response)` Deprecated.
    `ClientResponseFailure(Throwable throwable, ClientResponse response)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientResponse` | `getResponse()` Deprecated.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientResponseFailure

          public ClientResponseFailure(ClientResponse response)

      Deprecated.

    - #### ClientResponseFailure

          public ClientResponseFailure(String s,
                               ClientResponse response)

      Deprecated.

    - #### ClientResponseFailure

          public ClientResponseFailure(String s,
                               Throwable throwable,
                               ClientResponse response)

      Deprecated.

    - #### ClientResponseFailure

          public ClientResponseFailure(Throwable throwable,
                               ClientResponse response)

      Deprecated.

  - ### Method Detail

    - #### getResponse

          public ClientResponse getResponse()

      Deprecated.

Copyright © 2014. All Rights Reserved.